View a markdown version of this page

CreateAgentBasicProfile - AWS Well-Architected

CreateAgentBasicProfile

Note

AWS Well-Architected Agent is in preview release and is subject to change.

Creates a Basic profile for the calling account. No configuration input is required because the account and region are inferred from the caller. The profile uses the reserved name basic. This operation is idempotent. Calling it twice returns the same ARN. Each account can have at most one Basic profile.

Request Syntax

POST /api/v1/agent-basic-profile HTTP/1.1 Content-type: application/json { "tags": [ { "key": "string", "value": "string" } ] }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

tags

Tags to apply to the Basic profile at creation time.

Type: Array of Tag objects

Required: No

Response Syntax

HTTP/1.1 201 Content-type: application/json { "arn": "string", "createdAt": "string", "createdBy": "string", "lastModifiedAt": "string", "lastModifiedBy": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

arn

The Amazon Resource Name (ARN) of the created Basic profile.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 2048.

Pattern: arn:aws([a-z0-9-]+)?:wellarchitected:[a-z0-9-]{6,64}:\d{12}:agent-profile/([a-zA-Z0-9_-]+)

createdAt

The timestamp when the resource was created.

Type: Timestamp

createdBy

The identifier of the user or system that created this resource.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

lastModifiedAt

The timestamp when the resource was last modified.

Type: Timestamp

lastModifiedBy

The identifier of the user or system that last modified this resource.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

User does not have sufficient access to perform this action.

Message

Description of the error.

HTTP Status Code: 403

ConflictException

The resource has already been processed, was deleted, or is too large.

Message

Description of the error.

ResourceId

Identifier of the resource affected.

ResourceType

Type of the resource affected.

HTTP Status Code: 409

InternalServerException

There is a problem with the AWS Well-Architected Tool API service.

Message

Description of the error.

HTTP Status Code: 500

ServiceQuotaExceededException

The user has reached their resource quota.

Message

Description of the error.

QuotaCode

Service Quotas requirement to identify originating quota.

ResourceId

Identifier of the resource affected.

ResourceType

Type of the resource affected.

ServiceCode

Service Quotas requirement to identify originating service.

HTTP Status Code: 402

ThrottlingException

Request was denied due to request throttling.

Message

Description of the error.

QuotaCode

Service Quotas requirement to identify originating quota.

ServiceCode

Service Quotas requirement to identify originating service.

HTTP Status Code: 429

ValidationException

The user input is not valid.

Fields

The fields that caused the error, if applicable.

Message

Description of the error.

Reason

The reason why the request failed validation.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: